> ## Documentation Index > Fetch the complete documentation index at: https://learn.servitly.com/llms.txt > Use this file to discover all available pages before exploring further. # Get user notification settings > Returns the options and preferences for notifications, i.e. the delivery channels through which the user is notified, the event severities and the topics the user is subscribed to, and the locations the subscription is limited to.
Use me as userId to read the settings of the currently logged-in user. ## OpenAPI ````json GET /identity/users/{userId}/notificationSettings { "openapi": "3.1.0", "info": { "title": "Servitly DPS API", "version": "1.0.0" }, "servers": [ { "url": "https://api.servitly-sandbox.com", "description": "[AWS SANDBOX]" }, { "url": "https://api.servitly.com", "description": "[AWS PRODUCTION Ireland]" }, { "url": "https://api-ap.servitly.com", "description": "[AWS Hong Kong]" }, { "url": "https://azapi.servitly-dev.com", "description": "[AZURE DEV Frankfurt]" }, { "url": "https://azapi.servitly-staging.com", "description": "[AZURE STAGING Frankfurt]" }, { "url": "https://azapi.servitly.com", "description": "[AZURE PRODUCTION Frankfurt]" } ], "security": [ { "bearerAuth": [] } ], "tags": [ { "name": "ACTIONS" }, { "name": "ALERTS" }, { "name": "API GATEWAY" }, { "name": "AUTHENTICATION" }, { "name": "AUTHORIZATIONS" }, { "name": "CUSTOMERS" }, { "name": "DATA IMPORT / EXPORT" }, { "name": "EVENTS" }, { "name": "LOCATIONS" }, { "name": "MAINTENANCE" }, { "name": "MAPPING" }, { "name": "METRIC DATA" }, { "name": "MOBILE APP" }, { "name": "ORGANIZATION" }, { "name": "PARTNERS" }, { "name": "PRODUCT MODELS" }, { "name": "SPARE PARTS" }, { "name": "STATISTICS" }, { "name": "STORE ORDERS" }, { "name": "SUBSCRIPTIONS" }, { "name": "SUBSCRIPTIONS (OLD)" }, { "name": "THING CONTROL" }, { "name": "THING DEFINITIONS" }, { "name": "THING MANAGEMENT" }, { "name": "THINGS" }, { "name": "TICKETS" }, { "name": "USER TYPES" }, { "name": "USERS" }, { "name": "WORK SESSIONS" } ], "paths": { "/identity/users/{userId}/notificationSettings": { "get": { "summary": "Get user notification settings", "description": "Returns the options and preferences for notifications, i.e. the delivery channels through which the user is notified, the event severities and the topics the user is subscribed to, and the locations the subscription is limited to.
Use me as userId to read the settings of the currently logged-in user.", "tags": [ "USERS" ], "parameters": [ { "$ref": "#/components/parameters/tenantNameHeader" }, { "in": "path", "name": "userId", "required": "true", "schema": { "$ref": "#/components/schemas/ObjectId" }, "description": "The id of the user whose notification settings must be retrieved. Use 'me' for the current logged in user." } ], "responses": { "200": { "description": "Successful operation.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/NotificationSettings" } } } }, "401": { "$ref": "#/components/responses/NotAuthenticated" }, "403": { "$ref": "#/components/responses/NotAuthorized" }, "404": { "$ref": "#/components/responses/NotFound" }, "429": { "$ref": "#/components/responses/ApiLimit" }, "500": { "$ref": "#/components/responses/IntError" } } } } }, "components": { "parameters": { "tenantNameHeader": { "in": "header", "name": "X-Servitly-Tenant", "required": "true", "schema": { "type": "string", "example": "{{tenantName}}" }, "description": "The name of the tenant (e.g. acme)." } }, "schemas": { "ObjectId": { "type": "string", "example": "abcd1234", "minimum": "1", "description": "The object identifier (e.g. 6620e4bb42541977c406b984)." }, "NotificationSettings": { "type": "object", "description": "User notification settings.", "additionalProperties": "false", "properties": { "channels": { "type": "object", "description": "Delivery channels through which notifications can be sent.", "additionalProperties": "false", "properties": { "email": { "type": "boolean", "description": "Whether notifications are delivered via email." }, "push": { "type": "boolean", "description": "Whether notifications are delivered via push notification." } } }, "allLocations": { "type": "boolean", "description": "If true, notifications apply to all locations and the locationIds list is ignored." }, "allTopics": { "type": "boolean", "description": "If true, notifications apply to all topics and the topics list is ignored." }, "severities": { "type": "object", "description": "Severity levels for which notifications are enabled.", "properties": { "informational": { "type": "boolean", "description": "Whether informational-severity notifications are enabled." }, "warning": { "type": "boolean", "description": "Whether warning-severity notifications are enabled." }, "critical": { "type": "boolean", "description": "Whether critical-severity notifications are enabled." } } }, "topics": { "type": "array", "description": "List of topics the subscription is limited to. Ignored when allTopics is true.", "items": { "type": "string", "description": "A topic name." } }, "locationIds": { "type": "array", "description": "List of location identifiers the subscription is limited to. Ignored when allLocations is true.", "items": { "type": "string", "description": "A unique location identifier." } } } } }, "responses": { "NotAuthenticated": { "description": "User not authenticated.", "content": { "application/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "The error response.", "example": "User not authenticated" } } } } } }, "NotAuthorized": { "description": "User not authorized.", "content": { "application/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "The error response.", "example": "User not authorized" } } } } } }, "NotFound": { "description": "Resource was not found.", "content": { "application/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "The error response.", "example": "Resource not found" } } } } } }, "ApiLimit": { "description": "API call rate limit exceeded.", "content": { "application/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "The error response.", "example": "API call rate limit exceeded" } } } } } }, "IntError": { "description": "Internal server error.", "content": { "application/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "The error response.", "example": "Internal Server Error" } } } } } } }, "securitySchemes": { "bearerAuth": { "type": "http", "scheme": "bearer" } } } } ````